Skip to main content
GET
/
webhooks
/
{id}
Get single webhook
curl --request GET \
  --url https://api.terminal49.com/v2/webhooks/{id} \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.terminal49.com/v2/webhooks/{id}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.terminal49.com/v2/webhooks/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "webhook",
    "attributes": {
      "url": "<string>",
      "active": true,
      "events": [],
      "secret": "<string>",
      "headers": [
        {
          "name": "<string>",
          "value": "<string>"
        }
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

Use a Terminal49 API key in the Authorization header with the Token prefix.

Authorization: Token YOUR_API_KEY

Path Parameters

id
string
required

Response

200 - application/json

OK

data
webhook · object